Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.service.sts.security.impl
Class KeyPairCredential

    java.lang.Object
      be.ehealth.technicalconnector.service.sts.security.impl.AbstractExtendedCredential
          be.ehealth.technicalconnector.service.sts.security.impl.KeyPairCredential

All Implemented Interfaces:
  Credential, ExtendedCredential

    public class KeyPairCredential

extends AbstractExtendedCredential

Credentail that takes the `Certificate` and `PrivateKey` as input. Implementation of `AbstractExtendedCredential`

Constructor Summary
`KeyPairCredential(PrivateKey privateKey, X509Certificate certificate)`

Method Summary
`X509Certificate` | `getCertificate()` Gets the certificate.
`Certificate[]` | `getCertificateChain()` Gets the certificate chain
`String` | `getIssuer()` Gets the issuer.
`String` | `getIssuerQualifier()` Gets the issuer qualifier.
`KeyStore` | `getKeyStore()`
`PrivateKey` | `getPrivateKey()` Gets the private key.
`String` | `getProviderName()` Gets the keystore provider
`PublicKey` | `getPublicKey()` Gets the public key.

Methods inherited from class be.ehealth.technicalconnector.service.sts.security.impl.AbstractExtendedCredential
`getCertPath, getExpirationDateTime`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyPairCredential

    public KeyPairCredential(PrivateKey privateKey,
                             X509Certificate certificate)

Parameters:
  `privateKey` -
  `certificate` -

Method Detail

### getIssuer

    public String getIssuer()

  Gets the issuer.

  Returns:
    the issuer the issuer

### getIssuerQualifier

    public String getIssuerQualifier()

  Gets the issuer qualifier.

  Returns:
    the issuer qualifier the issuer qualifier

### getPublicKey

    public PublicKey getPublicKey()

  Gets the public key.

  Returns:
    the public key the public key

### getPrivateKey

    public PrivateKey getPrivateKey()

  Gets the private key.

  Returns:
    the private key the private key

### getCertificate

    public X509Certificate getCertificate()

  Gets the certificate.

  Returns:
    the certificate the certificate

### getProviderName

    public String getProviderName()

  Description copied from interface: `Credential`
  Gets the keystore provider

  Returns:

### getCertificateChain

    public Certificate[] getCertificateChain()

  Description copied from interface: `Credential`
  Gets the certificate chain

  Returns:

### getKeyStore

    public KeyStore getKeyStore()
                         throws TechnicalConnectorException

  Returns:
  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.